FROM openshift/golang-builder@sha256:ab1bfcb9d06b339cb767acb804e6aa82eb23cd0795e6f82af54e92c312a32777 AS builder
ENV __doozer=update BUILD_RELEASE=202201261123.p0.g40b0968.assembly.stream BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202201261123.p0.g40b0968.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=40b0968 OS_GIT_VERSION=4.7.0-202201261123.p0.g40b0968.assembly.stream-40b0968 SOURCE_DATE_EPOCH=1611324504 SOURCE_GIT_COMMIT=40b0968ee1d488b791cdd6750fac6534abac122e SOURCE_GIT_TAG=40b0968e SOURCE_GIT_URL=https://github.com/openshift/openshift-state-metrics 
WORKDIR /go/src/github.com/openshift/openshift-state-metrics
COPY . .
RUN make build

FROM openshift/ose-base:v4.7.0.20220126.114749
ENV __doozer=update BUILD_RELEASE=202201261123.p0.g40b0968.assembly.stream BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202201261123.p0.g40b0968.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=40b0968 OS_GIT_VERSION=4.7.0-202201261123.p0.g40b0968.assembly.stream-40b0968 SOURCE_DATE_EPOCH=1611324504 SOURCE_GIT_COMMIT=40b0968ee1d488b791cdd6750fac6534abac122e SOURCE_GIT_TAG=40b0968e SOURCE_GIT_URL=https://github.com/openshift/openshift-state-metrics 

ARG FROM_DIRECTORY=/go/src/github.com/openshift/openshift-state-metrics
COPY --from=builder ${FROM_DIRECTORY}/openshift-state-metrics  /usr/bin/openshift-state-metrics

USER nobody
ENTRYPOINT ["/usr/bin/openshift-state-metrics"]

LABEL \
        io.k8s.display-name="openshift-state-metrics" \
        io.k8s.description="This is a component that exposes metrics about OpenShift objects." \
        io.openshift.tags="OpenShift" \
        maintainer="Haoran Wang <haowang@redhat.com>" \
        name="openshift/ose-openshift-state-metrics" \
        com.redhat.component="openshift-state-metrics-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Monitoring" \
        release="202201261123.p0.g40b0968.assembly.stream" \
        io.openshift.build.commit.id="40b0968ee1d488b791cdd6750fac6534abac122e" \
        io.openshift.build.source-location="https://github.com/openshift/openshift-state-metrics" \
        io.openshift.build.commit.url="https://github.com/openshift/openshift-state-metrics/commit/40b0968ee1d488b791cdd6750fac6534abac122e" \
        version="v4.7.0"

